Haitus followed by wordpress update misery

I crawl under a rock for a few months and my penance is a miserable wordpress upgrade when I return. TL;DR: there’s a bug in Debian Jessie vsftpd that breaks the wordpress upgrade. Thankfully someone filed a bug and moving forward to the vsftp version (3.0.3) is the fix.

I had to do one more thing though: this newer version of vsftpd disables write access for ALL accounts, even authorized accounts. No big deal, just find the write_enable variable in the vsftpd.conf file, uncomment it, and set it to YES. That only took me an hour to figure out :/

But at least now my WP install is up to date, I’m out from under my rock and I can get back to my blogging routine.